GCLOUD_DNS_RECORD-SETS_TRANSACTION_REMOVE(1)

NAME

gcloud dns record-sets transaction remove - append a record-set deletion to the transaction

SYNOPSIS

gcloud dns record-sets transaction remove DATA [DATA ...] --name=NAME --ttl=TTL --type=TYPE --zone=ZONE, -z ZONE [--transaction-file=TRANSACTION_FILE; default="transaction.yaml"] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command appends a record-set deletion to the transaction.

POSITIONAL ARGUMENTS

    DATA [DATA ...]
        DNS name of the record-set to be removed.

REQUIRED FLAGS

    --name=NAME
        DNS name of the record-set to be removed.

    --ttl=TTL
        TTL for the record-set to be removed.

    --type=TYPE
        Type of the record-set to be removed.

    --zone=ZONE, -z ZONE
        Name of the managed-zone whose record-sets you want to manage.

OPTIONAL FLAGS

    --transaction-file=TRANSACTION_FILE; default="transaction.yaml"
        Path of the file which contains the transaction.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To remove an A record, run:
    $ gcloud dns record-sets transaction remove --zone MANAGED_ZONE \
        --name my.domain. --ttl 1234 \
        --type A "1.2.3.4"
To remove a TXT record with multiple data values, run:
    $ gcloud dns record-sets transaction remove --zone MANAGED_ZONE \
        --name my.domain. --ttl 2345 \
        --type TXT "Hello world" "Bye world"